#include ONCE "window9.bi"

sub ReadOnlyEditor(iGadget as Long , flag as Long) export
	
	if flag = 1 then
	
		gtk_text_view_set_editable (GTK_TEXT_VIEW (GadgetID(iGadget)), FALSE)
		
	else
	
		gtk_text_view_set_editable (GTK_TEXT_VIEW (GadgetID(iGadget)), TRUE)

	EndIf
	
End Sub